using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EdgeNoteObject : NoteObject
{
    Vector2 direction;
    public override void Init(float x, float y)
    {
        direction = new Vector2(x, y);
    }

    public override void NoteHit(NoteHitType type)
    {
    }

    public override void SetPosition(float remainedTime)
    {
        transform.position = (endPoint + new Vector3(0, 0, 200)) * remainedTime / maxRemainedTime;
    }
}
